# Thao tác theo ngày

> stats_actions_daily — Done / failed X actions per day and action type (same numbers as the Stats page), for the workspace or one account, in the workspace time zone.

Source: https://x.builera.app/docs/vi/reference/stats_actions_daily

`stats_actions_daily` · Đọc dữ liệu đã lưu

> [!NOTE]
> Mô tả kỹ thuật bằng tiếng Anh — đúng chữ AI agent đọc qua MCP.

Done / failed X actions per day and action type (same numbers as the Stats page), for the workspace or one account, in the workspace time zone.

| | |
|---|---|
| REST | `GET /api/public/v1/stats/actions` |
| Công cụ MCP | `stats_actions_daily` |
| Quyền cần có | `view` — Chủ, Quản lý, Vận hành, Chỉ xem |
| Nhóm quyền | `reports:read` |
| Nhóm | Báo cáo |
| Hiện sẵn trong hồ sơ | Báo cáo |

## Đầu vào {#input}

| Trường | Kiểu | Bắt buộc | Mô tả |
|---|---|---|---|
| `account` | string (1–100 chars) | Không | The X account to use: its X-Buddy account_id (from account_list) or its @handle. Ambiguous names return candidates instead of guessing. |
| `from` | string (date-time) | Không | Start (ISO 8601). Default: 7 days ago. |
| `to` | string (date-time) | Không | End (ISO 8601). Default: now. |

## Kết quả {#output}

Trả về trong phong bì `{ data, meta }`, không tạo việc trên X. Danh sách có `next_cursor` và `has_more`.

## Ví dụ {#example}

### Gọi qua REST {#example-rest}

```bash
curl -X GET "https://reach-link-craft.lovable.app/api/public/v1/stats/actions" \
  -H "Authorization: Bearer $XBUDDY_API_KEY"
```

### Gọi qua MCP {#example-mcp}

```json
{
  "method": "tools/call",
  "params": {
    "name": "stats_actions_daily",
    "arguments": {}
  }
}
```

## Lỗi có thể gặp {#errors}

| Mã | HTTP | Thử lại được |
|---|---|---|
| [`unauthorized`](/docs/vi/errors/unauthorized) | 401 | Không |
| [`key_expired`](/docs/vi/errors/key_expired) | 401 | Không |
| [`integration_revoked`](/docs/vi/errors/integration_revoked) | 401 | Không |
| [`connection_not_linked`](/docs/vi/errors/connection_not_linked) | 403 | Không |
| [`integration_paused`](/docs/vi/errors/integration_paused) | 403 | Không |
| [`workspace_integrations_paused`](/docs/vi/errors/workspace_integrations_paused) | 403 | Không |
| [`integration_authorization_lost`](/docs/vi/errors/integration_authorization_lost) | 403 | Không |
| [`workspace_suspended`](/docs/vi/errors/workspace_suspended) | 403 | Không |
| [`forbidden`](/docs/vi/errors/forbidden) | 403 | Không |
| [`invalid_input`](/docs/vi/errors/invalid_input) | 422 | Không |
| [`rate_limited`](/docs/vi/errors/rate_limited) | 429 | Có |
| [`internal`](/docs/vi/errors/internal) | 500 | Có |
| [`ambiguous_account`](/docs/vi/errors/ambiguous_account) | 409 | Không |
| [`account_not_allowed`](/docs/vi/errors/account_not_allowed) | 403 | Không |
| [`not_found`](/docs/vi/errors/not_found) | 404 | Không |

[Về danh sách thao tác](/docs/vi/reference)
